
# prompt user for filename
form Get pitch range
   sentence Filename_of_sound selbstmordverein_04.mp3
endform

# check if absolute path
if startsWith (filename_of_sound$, "/") 
   # absolute, so just copy the value into the shortened variable
   filename$ = filename_of_sound$
else
   # relative, concatenate with shellDirectory
   filename$ = shellDirectory$ + "/" + filename_of_sound$
endif

# Read sound file and keep object number
sound = Read from file: filename$

# Create pitch object for sound
pitch = To Pitch: 0, 180, 380

# Create intensity object so we can find silencees
selectObject: sound
intensity = To Intensity: 180, 0, "yes"
textgrid = To TextGrid (silences): -35, 0.1, 0.05, "silent", "sounding"

# find out number of intervals to iterate over
intervals = Get number of intervals: 1
# print header line
writeInfoLine: "start end base top"

# loop over intervals 
for i from 1 to intervals
   # make sure to select textgrid first
   name$ = Get label of interval: 1, i
   if name$ == "sounding" 
       start = Get start point: 1, i
       end = Get end point: 1, i
       # now switch to Pitch object
       selectObject: pitch
       top = Get quantile: start, end, 0.95, "Hertz"
       base = Get quantile: start, end, 0.05, "Hertz"
      appendInfoLine: fixed$(start,2), " ", fixed$(end,2), " ", fixed$(base,0), " ", fixed$(top,0)
      # switch back to textgrid for next iteration
      selectObject: textgrid
   endif
endfor

removeObject: textgrid, intensity, pitch, sound

